%define upstream_name    System-Command
%define upstream_version 1.122

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Object for running system commands
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/System/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(List::Util)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'System::Command' is a class that launches external system commands and
return an object representing them, allowing to interact with them through
their 'STDIN', 'STDOUT' and 'STDERR' handles.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Feb 07 2023 tv <tv> 1.122.0-1.mga9
+ Revision: 1939001
- update to 1.122

* Mon Mar 21 2022 umeabot <umeabot> 1.121.0-2.mga9
+ Revision: 1812766
- Mageia 9 Mass Rebuild

* Tue Jun 09 2020 tv <tv> 1.121.0-1.mga8
+ Revision: 1591286
- update to 1.121

* Wed Feb 12 2020 umeabot <umeabot> 1.119.0-3.mga8
+ Revision: 1506209
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.119.0-2.mga7
+ Revision: 1286229
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 1.119.0-1.mga7
+ Revision: 1216717
- Update to version 1.119

* Mon Jul 31 2017 sander85 <sander85> 1.118.0-1.mga7
+ Revision: 1133001
- update to 1.118

* Sun Jun 19 2016 pterjan <pterjan> 1.117.0-2.mga6
+ Revision: 1033616
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.117.0-1.mga6
+ Revision: 1002303
- update to 1.117

* Fri Feb 19 2016 umeabot <umeabot> 1.115.0-2.mga6
+ Revision: 970031
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.115.0-1.mga6
+ Revision: 884813
- update to 1.115

* Sun Sep 06 2015 sander85 <sander85> 1.113.0-1.mga6
+ Revision: 873634
- update to 1.113

* Sun Jul 26 2015 sander85 <sander85> 1.112.0-1.mga6
+ Revision: 857873
- update to 1.112

* Tue Jun 30 2015 sander85 <sander85> 1.111.0-1.mga6
+ Revision: 848493
- update to 1.111

* Sat Oct 18 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 788203
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-3.mga5
+ Revision: 750287
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-2.mga5
+ Revision: 686300
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 sander85 <sander85> 1.110.0-1.mga5
+ Revision: 669069
- update to 1.110

* Thu Jul 03 2014 sander85 <sander85> 1.109.0-1.mga5
+ Revision: 642699
- update to 1.109

* Fri Feb 28 2014 jquelin <jquelin> 1.108.0-1.mga5
+ Revision: 597888
- update to 1.108

* Mon Feb 10 2014 jquelin <jquelin> 1.107.0-1.mga5
+ Revision: 588661
- update to 1.107

* Tue Oct 22 2013 umeabot <umeabot> 1.106.0-2.mga4
+ Revision: 542315
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 1.106.0-1.mga4
+ Revision: 497364
- update to 1.106

* Sat Oct 05 2013 sander85 <sander85> 1.105.0-1.mga4
+ Revision: 491734
- update to 1.105

* Thu Sep 12 2013 sander85 <sander85> 1.104.0-1.mga4
+ Revision: 478040
- update to 1.104

* Mon Jul 29 2013 sander85 <sander85> 1.103.0-1.mga4
+ Revision: 460630
- update to 1.103

* Fri Jul 26 2013 sander85 <sander85> 1.102.0-1.mga4
+ Revision: 458710
- update to 1.102

* Mon Jul 15 2013 sander85 <sander85> 1.101.0-1.mga4
+ Revision: 454599
- update to 1.101

* Fri Jun 07 2013 jquelin <jquelin> 1.100.0-1.mga4
+ Revision: 439923
- update to 1.100

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 373006
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.90.0-1.mga3
+ Revision: 342643
- update to 1.09

* Tue Jun 05 2012 jquelin <jquelin> 1.70.0-1.mga3
+ Revision: 255483
- update to 1.07

* Mon Jan 09 2012 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 193813
- update to 1.06
- imported package perl-System-Command

